with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLCurrentStyle2_Interface is

   procedure Initialize (This : in out IHTMLCurrentStyle2_Type) is
   begin
      Set_IID (This, IID_IHTMLCurrentStyle2);
   end Initialize;

   function Pointer (This : IHTMLCurrentStyle2_Type)
     return Pointer_To_IHTMLCurrentStyle2
   is
   begin
      return To_Pointer_To_IHTMLCurrentStyle2 (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLCurrentStyle2_Type;
                     Pointer : in     Pointer_To_IHTMLCurrentStyle2)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function Get_layoutFlow
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_layoutFlow
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_layoutFlow;

   function Get_wordWrap
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_wordWrap
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_wordWrap;

   function Get_textUnderlinePosition
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_textUnderlinePosition
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_textUnderlinePosition;

   function Get_hasLayout
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT_BOOL
   is
       RetVal : aliased GNATCOM.Types.VARIANT_BOOL;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_hasLayout
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_hasLayout;

   function Get_scrollbarBaseColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_scrollbarBaseColor
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_scrollbarBaseColor;

   function Get_scrollbarFaceColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_scrollbarFaceColor
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_scrollbarFaceColor;

   function Get_scrollbar3dLightColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_scrollbar3dLightColor
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_scrollbar3dLightColor;

   function Get_scrollbarShadowColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_scrollbarShadowColor
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_scrollbarShadowColor;

   function Get_scrollbarHighlightColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_scrollbarHighlightColor
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_scrollbarHighlightColor;

   function Get_scrollbarDarkShadowColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_scrollbarDarkShadowColor
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_scrollbarDarkShadowColor;

   function Get_scrollbarArrowColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_scrollbarArrowColor
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_scrollbarArrowColor;

   function Get_scrollbarTrackColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_scrollbarTrackColor
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_scrollbarTrackColor;

   function Get_writingMode
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_writingMode
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_writingMode;

   function Get_zoom
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_zoom
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_zoom;

   function Get_filter
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_filter
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_filter;

   function Get_textAlignLast
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_textAlignLast
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_textAlignLast;

   function Get_textKashidaSpace
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
       RetVal : aliased GNATCOM.Types.VARIANT;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_textKashidaSpace
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_textKashidaSpace;

   function Get_isBlock
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT_BOOL
   is
       RetVal : aliased GNATCOM.Types.VARIANT_BOOL;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_isBlock
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_isBlock;

end MSHTML.IHTMLCurrentStyle2_Interface;

